%define _unpackaged_files_terminate_build 0
Name:          dfuzzer
Version:       2.3
Release:       1.20241211110632606817.pr148.6.gf44f999%{?dist}
Summary:       D-Bus fuzz testing tool

#global commit 15fcfa6b5f8109e07f06c7ada0b8690a36f91654
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

# Automatically converted from old format: GPLv3+ - review is highly recommended.
License:       GPL-3.0-or-later
URL:           https://github.com/dbus-fuzzer/dfuzzer

%if %{defined commit}
Source0:       dfuzzer-2.3.tar.gz
%else
Source0:       https://github.com/dbus-fuzzer/dfuzzer/archive/v%{version}/%{name}-%{version}.tar.gz
%endif
BuildRequires: docbook-style-xsl
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: libxslt
BuildRequires: meson

%description
Tool for fuzz testing processes communicating through D-Bus. It can be
used to test processes connected to both, the session bus and the system
bus daemon. Dfuzzer works as a client, it first connects to the bus
daemon and then it traverses and fuzz tests all the methods provided
by a D-Bus service.

%prep
%autosetup -p1 -n dfuzzer-2.3

%build
%meson --werror -Ddfuzzer-test-server=true
%meson_build

%check
%meson_test

%install
%meson_install

%files
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/dfuzzer.conf
%{_mandir}/man1/dfuzzer.1*
%doc README.md ChangeLog COPYING

%changelog
%autochangelog
